    %% chart
    h=figure;
    screen_size=get(0,'ScreenSize');
    screen_size(1:2)=screen_size(3:4)*1/10;
    screen_size(3:4)=[550  550];
    set(h,'Position',screen_size)
    subplot (2,1,1)
    hold on
    plot(input(:,1), '-b','linewidth',3);
    plot(input(:,2), '-m','linewidth',3);
    plot(input(:,3), '-k','linewidth',3);    
    axis([0 TIME -.1 1.1]);
    legend('input1', 'input2', 'input3', 'Location','NorthWest');
    
    subplot (2,1,2)
    hold on
    plot(neuron1, '-b','linewidth',3);
    plot(neuron2, '-m','linewidth',3);    
    plot(neuron3, '-k','linewidth',3);        
    hold off
    axis([0 TIME -.1 1.1]);
    legend('neuron1', 'neuron2', 'neuron3', 'Location','NorthWest');
    
    %% imagesc
    t=1:TIME;
    h=figure;
    screen_size=get(0,'ScreenSize');
    screen_size(1:2)=screen_size(3:4)*1/10;
    screen_size(3:4)=[550  550];
    set(h,'Position',screen_size)
    subplot (2,1,1)
    imagesc(input(t,[1 2 3])');
    subplot (2,1,2)
    neural_activity(t,:)=[neuron1 neuron2 neuron3];
    imagesc(neural_activity(t, [1 2 3])');
    %imagesc (output(t,to_plot)');