    %% chart
    h=figure;
    screen_size=get(0,'ScreenSize');
    screen_size(1:2)=screen_size(3:4)*1/10;
    screen_size(3:4)=[550  550];
    set(h,'Position',screen_size)
    subplot (2,1,1)
    plot(input(:,1), '-k','linewidth',3);
    axis([0 TIME -.1 1.1]);
    legend('input1', 'Location','NorthWest');
    
    subplot (2,1,2)
    if exist('flag_offset')==0
        plot(neuron1, '-r','linewidth',3);
    elseif exist('flag_offset')==1
        plot(neuron3, '-r','linewidth',3);
    end
    axis([0 TIME -.1 1.1]);
    legend('neuron1', 'Location','NorthWest');
    
    %% imagesc
    t=1:TIME;
    h=figure;
    screen_size=get(0,'ScreenSize');
    screen_size(1:2)=screen_size(3:4)*1/10;
    screen_size(3:4)=[550  550];
    set(h,'Position',screen_size)
    subplot (2,1,1)
    imagesc(input(t,1)');
    subplot (2,1,2)
    if exist('flag_offset')==0
        imagesc(neuron1');
    elseif exist('flag_offset')==1
        imagesc(neuron3');
    end